# YieldOracle constants

[Git Source](https://github.com/Ion-Protocol/ion-protocol/blob/88cc595825f1dc2eb738fb93e172a3e8ab7a5c43/src/YieldOracle.sol)

#### [APY\_PRECISION](broken://pages/uNu9NXGNDa0P8IxWkqqO) <a href="#apy_precision" id="apy_precision"></a>

```
uint8 constant APY_PRECISION = 8;
```

#### [PROVIDER\_PRECISION](broken://pages/uNu9NXGNDa0P8IxWkqqO) <a href="#provider_precision" id="provider_precision"></a>

```
uint8 constant PROVIDER_PRECISION = 18;
```

#### [LOOK\_BACK](broken://pages/uNu9NXGNDa0P8IxWkqqO) <a href="#look_back" id="look_back"></a>

```
uint32 constant LOOK_BACK = 7;
```

#### [PERIODS](broken://pages/uNu9NXGNDa0P8IxWkqqO) <a href="#periods" id="periods"></a>

```
uint256 constant PERIODS = 365 * (10 ** APY_PRECISION) / LOOK_BACK;
```

#### [ILK\_COUNT](broken://pages/uNu9NXGNDa0P8IxWkqqO) <a href="#ilk_count" id="ilk_count"></a>

```
uint32 constant ILK_COUNT = 3;
```

#### [UPDATE\_LOCK\_LENGTH](broken://pages/uNu9NXGNDa0P8IxWkqqO) <a href="#update_lock_length" id="update_lock_length"></a>

```
uint256 constant UPDATE_LOCK_LENGTH = 84_600;
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionprotocol.io/devs/smart-contract-architecture/yieldoracle-constants.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
